Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0034053
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Retail Modules] Web POSmajorsometimes2016-08-12 09:522016-11-17 19:34
ReportermigueldejuanaView Statuspublic 
Assigned Tomigueldejuana 
PriorityhighResolutionfixedFixed in VersionRR16Q2.3
StatusclosedFix in branchFixed in SCM revision2ffc0fe74dd3
ProjectionnoneETAnoneTarget VersionRR16Q2.3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0034053: It is still possible to press twice Done or Layaway buttons

DescriptionClients like Superdoña or Laeuropea are still having this problem from time to time.
We added a enyo.$.scrim.show(); but it is not enough. We have to research and find a way to avoid this double click.
Steps To ReproduceSometimes...

- Login
- Add a product
- Add exact payment
- Press Done twice
- ERROR: 2 Orders are send, one with all attributes initialized to null
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0033695 closedmigueldejuana It is still possible to press twice Done or Layaway buttons 

-  Notes
(0090170)
hgbot (developer)
2016-09-22 15:39

Repository: retail/backports/3.0RR16Q2.3/pi-mobile
Changeset: 2ffc0fe74dd3a4b8f0a54437f166fd69486846e6
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Thu Sep 22 15:38:58 2016 +0200
URL: http://code.openbravo.com/retail/backports/3.0RR16Q2.3/pi-mobile/rev/2ffc0fe74dd3a4b8f0a54437f166fd69486846e6 [^]

Fixed issue 0034053: It is still possible to press twice Done or Layaway buttons

- Add time to wait until Done button can be pressed again
- Ensure that Done button is disabled after doing a sale

---
M src-test/org/openbravo/test/mobile/common/selenium/testhelpers/TestActionsHelper.java
M src-test/org/openbravo/test/mobile/common/selenium/utils/OBConstants.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/sales/SALa010_CreateSale.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cashup/I33695_CashupInvoiceTaxPrecision.java
---
(0090171)
hgbot (developer)
2016-09-22 15:39

Repository: retail/backports/3.0RR16Q2.3/org.openbravo.retail.posterminal
Changeset: 6b285165afbcd634aa51070406d6c82ef913dee5
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Thu Sep 22 15:26:30 2016 +0200
URL: http://code.openbravo.com/retail/backports/3.0RR16Q2.3/org.openbravo.retail.posterminal/rev/6b285165afbcd634aa51070406d6c82ef913dee5 [^]

Fixed issue 0034053: It is still possible to press twice Done or Layaway buttons

- Block Done button during 1 second to avoid double click
- Delete current before setting to false calculateReceiptLock in order to do not trigger any receipt event when clearing the order
- Avoid calling updatePending or checkValidPayment when we are processing the receipt (after pressing Done button)

---
M web/org.openbravo.retail.posterminal/js/pointofsale/model/pointofsale-model.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/payment.js
---
(0090495)
hgbot (developer)
2016-10-05 12:39

Repository: tools/automation/pi-mobile
Changeset: 2ffc0fe74dd3a4b8f0a54437f166fd69486846e6
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Thu Sep 22 15:38:58 2016 +0200
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/2ffc0fe74dd3a4b8f0a54437f166fd69486846e6 [^]

Fixed issue 0034053: It is still possible to press twice Done or Layaway buttons

- Add time to wait until Done button can be pressed again
- Ensure that Done button is disabled after doing a sale

---
M src-test/org/openbravo/test/mobile/common/selenium/testhelpers/TestActionsHelper.java
M src-test/org/openbravo/test/mobile/common/selenium/utils/OBConstants.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/sales/SALa010_CreateSale.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cashup/I33695_CashupInvoiceTaxPrecision.java
---
(0091641)
guilleaer (developer)
2016-11-17 19:34

reclosing issue

- Issue History
Date Modified Username Field Change
2016-09-22 11:11 migueldejuana Type defect => backport
2016-09-22 11:11 migueldejuana Target Version => RR16Q2.3
2016-09-22 15:39 hgbot Checkin
2016-09-22 15:39 hgbot Note Added: 0090170
2016-09-22 15:39 hgbot Status scheduled => resolved
2016-09-22 15:39 hgbot Resolution open => fixed
2016-09-22 15:39 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/8288cc5de0f0c485a69011eceeaddd7d5ba8e55e [^] => http://code.openbravo.com/retail/backports/3.0RR16Q2.3/pi-mobile/rev/2ffc0fe74dd3a4b8f0a54437f166fd69486846e6 [^]
2016-09-22 15:39 hgbot Checkin
2016-09-22 15:39 hgbot Note Added: 0090171
2016-09-22 15:39 hgbot Fixed in SCM revision http://code.openbravo.com/retail/backports/3.0RR16Q2.3/pi-mobile/rev/2ffc0fe74dd3a4b8f0a54437f166fd69486846e6 [^] => http://code.openbravo.com/retail/backports/3.0RR16Q2.3/org.openbravo.retail.posterminal/rev/6b285165afbcd634aa51070406d6c82ef913dee5 [^]
2016-09-26 23:08 guilleaer Status resolved => closed
2016-09-26 23:08 guilleaer Fixed in Version => RR16Q2.3
2016-10-05 12:39 hgbot Checkin
2016-10-05 12:39 hgbot Note Added: 0090495
2016-10-05 12:39 hgbot Status closed => resolved
2016-10-05 12:39 hgbot Fixed in SCM revision http://code.openbravo.com/retail/backports/3.0RR16Q2.3/org.openbravo.retail.posterminal/rev/6b285165afbcd634aa51070406d6c82ef913dee5 [^] => http://code.openbravo.com/tools/automation/pi-mobile/rev/2ffc0fe74dd3a4b8f0a54437f166fd69486846e6 [^]
2016-11-17 19:34 guilleaer Note Added: 0091641
2016-11-17 19:34 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker